Package ghidra.util.task

# Class UnknownProgressWrappingTaskMonitor

java.lang.Object
ghidra.util.task.WrappingTaskMonitor
ghidra.util.task.UnknownProgressWrappingTaskMonitor

All Implemented Interfaces:
  `TaskMonitor`

public class UnknownProgressWrappingTaskMonitor extends WrappingTaskMonitor
A class that is meant to wrap a `TaskMonitor` when you do not know the maximum value of the progress.

- ## Field Summary

  ### Fields inherited from class ghidra.util.task.WrappingTaskMonitor

  `delegate`

  ### Fields inherited from interface ghidra.util.task.TaskMonitor

  `DUMMY, NO_PROGRESS_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnknownProgressWrappingTaskMonitor(TaskMonitor delegate)`
  `UnknownProgressWrappingTaskMonitor(TaskMonitor delegate, long startMaximum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `incrementProgress(long incrementAmount)`
  Changes the progress value by the specified amount.
  `void`
  `setProgress(long value)`
  Sets the current progress value

  ### Methods inherited from class ghidra.util.task.WrappingTaskMonitor

  `addCancelledListener, cancel, checkCanceled, checkCancelled, clearCanceled, getMaximum, getMessage, getProgress, initialize, isCancelEnabled, isCancelled, isIndeterminate, removeCancelledListener, setCancelEnabled, setDelegate, setIndeterminate, setMaximum, setMessage, setShowProgressValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.task.TaskMonitor

  `clearCancelled, increment, increment, incrementProgress, initialize`

- ## Constructor Details

  - ### UnknownProgressWrappingTaskMonitor

    public UnknownProgressWrappingTaskMonitor(TaskMonitor delegate)

  - ### UnknownProgressWrappingTaskMonitor

    public UnknownProgressWrappingTaskMonitor(TaskMonitor delegate, long startMaximum)

- ## Method Details

  - ### setProgress

    public void setProgress(long value)
    Description copied from interface: `TaskMonitor`
    Sets the current progress value
    Specified by:
      `setProgress` in interface `TaskMonitor`
    Overrides:
      `setProgress` in class `WrappingTaskMonitor`
    Parameters:
      `value` - progress value

  - ### incrementProgress

    public void incrementProgress(long incrementAmount)
    Description copied from interface: `TaskMonitor`
    Changes the progress value by the specified amount.
    Specified by:
      `incrementProgress` in interface `TaskMonitor`
    Overrides:
      `incrementProgress` in class `WrappingTaskMonitor`
    Parameters:
      `incrementAmount` - The amount by which to increment the progress